View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.plugin;
    17
    18  /**
    19   * 実行情報です。
    20   *
    21   * @author baba
    22   *
    23   * @param <T>
    24   *            戻り値の型
    25   */
    26  public interface Invocation<T> {
    27
    28  	/**
    29  	 * 実行します。
    30  	 *
    31  	 * @return 戻り値
    32  	 * @throws Exception
    33  	 *             実行時に例外が発生した場合
    34  	 */
    35  	T proceed() throws Exception;
    36
    37  }